from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XXPathObject(XInterface, Protocol):
    def getObjectType(self) -> XPathObjectType: ...
    def getNodeList(self) -> XNodeList: ...
    def getBoolean(self) -> bool: ...
    def getByte(self) -> int: ...
    def getShort(self) -> int: ...
    def getLong(self) -> int: ...
    def getHyper(self) -> int: ...
    def getFloat(self) -> float: ...
    def getDouble(self) -> float: ...
    def getString(self) -> str: ...
